Bug 1314370 - [abrt] kalgebra: QHash<QString, Analitza::Object*>::findNode(): kalgebra killed by SIGSEGV
[abrt] kalgebra: QHash<QString, Analitza::Object*>::findNode(): kalgebra kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kalgebra (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d0673e90ab86553ec6529241b0a...
:
: 1361766 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 08:12 EST by Diego
Modified: 2016-12-20 14:13 EST (History)
5 users (show)

See Also:
Fixed In Version: 16.04
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.08 KB, text/plain)
2016-03-03 08:12 EST, Diego
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-03 08:12 EST, Diego
no flags Details
File: core_backtrace (15.82 KB, text/plain)
2016-03-03 08:12 EST, Diego
no flags Details
File: dso_list (21.61 KB, text/plain)
2016-03-03 08:12 EST, Diego
no flags Details
File: environ (2.00 KB, text/plain)
2016-03-03 08:12 EST, Diego
no flags Details
File: exploitable (93 bytes, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: maps (93.30 KB, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: mountinfo (3.38 KB, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: open_fds (863 bytes, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details
File: var_log_messages (307 bytes, text/plain)
2016-03-03 08:13 EST, Diego
no flags Details

  None (edit)
Description Diego 2016-03-03 08:12:47 EST
Description of problem:
Closed KAlgebra after doing some sums and it crashed.

Version-Release number of selected component:
kalgebra-15.12.1-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/kalgebra
crash_function: QHash<QString, Analitza::Object*>::findNode
executable:     /usr/bin/kalgebra
global_pid:     9512
kernel:         4.4.2-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHash<QString, Analitza::Object*>::findNode at /usr/include/qt5/QtCore/qhash.h:959
 #1 QHash<QString, Analitza::Object*>::contains at /usr/include/qt5/QtCore/qhash.h:941
 #2 Analitza::ExpressionTypeChecker::isVariableDefined at /usr/src/debug/analitza-15.12.1/analitza/expressiontypechecker.cpp:338
 #3 Analitza::ExpressionTypeChecker::visit at /usr/src/debug/analitza-15.12.1/analitza/expressiontypechecker.cpp:322
 #4 Analitza::Ci::accept at /usr/src/debug/analitza-15.12.1/analitza/variable.cpp:44
 #5 Analitza::ExpressionTypeChecker::solve at /usr/src/debug/analitza-15.12.1/analitza/expressiontypechecker.cpp:145
 #6 Analitza::ExpressionTypeChecker::visit at /usr/src/debug/analitza-15.12.1/analitza/expressiontypechecker.cpp:661
 #7 Analitza::Apply::accept at /usr/src/debug/analitza-15.12.1/analitza/apply.cpp:96
 #8 Analitza::ExpressionTypeChecker::visit at /usr/src/debug/analitza-15.12.1/analitza/expressiontypechecker.cpp:816
 #9 Analitza::Container::accept at /usr/src/debug/analitza-15.12.1/analitza/container.cpp:81
Comment 1 Diego 2016-03-03 08:12:53 EST
Created attachment 1132774 [details]
File: backtrace
Comment 2 Diego 2016-03-03 08:12:54 EST
Created attachment 1132775 [details]
File: cgroup
Comment 3 Diego 2016-03-03 08:12:56 EST
Created attachment 1132776 [details]
File: core_backtrace
Comment 4 Diego 2016-03-03 08:12:58 EST
Created attachment 1132777 [details]
File: dso_list
Comment 5 Diego 2016-03-03 08:12:59 EST
Created attachment 1132778 [details]
File: environ
Comment 6 Diego 2016-03-03 08:13:01 EST
Created attachment 1132779 [details]
File: exploitable
Comment 7 Diego 2016-03-03 08:13:02 EST
Created attachment 1132780 [details]
File: limits
Comment 8 Diego 2016-03-03 08:13:05 EST
Created attachment 1132781 [details]
File: maps
Comment 9 Diego 2016-03-03 08:13:06 EST
Created attachment 1132782 [details]
File: mountinfo
Comment 10 Diego 2016-03-03 08:13:07 EST
Created attachment 1132783 [details]
File: namespaces
Comment 11 Diego 2016-03-03 08:13:09 EST
Created attachment 1132784 [details]
File: open_fds
Comment 12 Diego 2016-03-03 08:13:10 EST
Created attachment 1132785 [details]
File: proc_pid_status
Comment 13 Diego 2016-03-03 08:13:12 EST
Created attachment 1132786 [details]
File: var_log_messages
Comment 14 Diego 2016-03-22 08:09:42 EDT
This will be fixed in upcoming Applications 16.04:
https://bugs.kde.org/show_bug.cgi?id=360808#c1
Comment 15 piermario 2016-07-30 04:57:09 EDT
*** Bug 1361766 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 10:54:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 14:13:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.